#!/bin/sh
# -*- sh -*-
echo "=================================================="
echo " Generating build information using"
echo " aclocal, autoheader, automake and autoconf"
echo "=================================================="

# Cleanup certain autogenerated files
rm -f config.cache config.status src/shared/stamp-h*
rm -rf autom4te.cache

# make sure the buildtools directory is fresh
rm -rf scripts/buildtools || exit 1
mkdir scripts/buildtools

rm -f acinclude.m4
aclocal >& /dev/null || {
    # In automake 1.6.1 we have to use AM_PROG_AS (even though the
    # result is unused). This is for backward compatibility....
    echo "AC_DEFUN([AM_PROG_AS],[])" > acinclude.m4
}
aclocal || {
    echo "aclocal failed" ; exit 1
}
autoheader || { 
    echo "autoheader failed" ; exit 1 
}
automake -a || { 
    echo "automake -a failed" ; exit 1
}
autoconf || { 
    echo "autoconf failed" ; exit 1
}

echo "=================================================="
echo " Success. The next step is running ./configure"
echo "=================================================="

# If ./configure is invoked the same second, the timestamps
# becomes bogus

sleep 1
